> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teel.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get subscription

> Fetch one webhook subscription by ID

Returns `404` if not yours.

<Info>**Scope** `webhooks:read`</Info>

## Headers

<ParamField header="Authorization" type="string" required>
  API key.
</ParamField>

## Path parameters

<ParamField path="id" type="string" required>
  Subscription UUID.
</ParamField>

## Response

Same shape as one row on [List subscriptions](/api-reference/webhooks/subscriptions/list).

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": "1c84203c-b4e3-40de-83a9-51bc0d9c991f",
    "url": "https://hooks.example.com/teel",
    "events": ["payout.created", "payout.status.updated"],
    "status": "active",
    "secretPrefix": "whsec_Pdt_BP",
    "label": "Production receiver",
    "lastSuccessAt": "2026-05-27T09:31:02Z",
    "lastFailureAt": null,
    "createdAt": "2026-05-27T09:30:00Z",
    "updatedAt": "2026-05-27T09:30:00Z"
  }
  ```
</ResponseExample>
